(define-module (glicid packages caddy)
               #:use-module (guix build-system gnu)
               #:use-module (guix download)
               #:use-module (guix packages)
               #:use-module ((guix licenses) #:prefix license:)
               #:use-module (guix build-system copy)
               )


(define-public caddy-dirty
               (package
                 (name "caddy-dirty")
                 (version "2.8.4")
                 (source (origin
                           (method url-fetch)
                           (uri (string-append "https://github.com/caddyserver/caddy/releases/download/v" version "/caddy_" version "_freebsd_amd64.tar.gz"))
                           (sha256 (base32 "0wqppxia2zpzh7n8x58wzrvr3myznmyq890h90ddndym30qdj83w"))))
                 (build-system copy-build-system)
                 (arguments
                   `(#:install-plan `(("caddy" "/sbin/"))))
                 (synopsis "Caddy is an extensible server platform that uses TLS by default. Dirty Version.")
                 (description "Caddy is an extensible server platform that uses TLS by default. Dirty Version")
                 (home-page "https://github.com/caddyserver/caddy")
                 (license license:expat)))
